Summary: An X Window System based multiplayer aerial combat game.
Name: xpilot
Version: 4.1.0
Release: 1
Copyright: GPL
Group: Amusements/Games
Source: ftp://ftp.cs.uit.no/pub/games/xpilot/xpilot-4.1.0.tar.gz
Url: http://www.cs.uit.no/XPilot/
Patch: xpilot-4.1.0-config.patch
BuildRoot: /var/tmp/xpilot-root

%description
Xpilot is an X Window System based multiplayer game of aerial combat.
The object of the game is to shoot each other down, or you can use
the race mode to just fly around.  Xpilot resembles the Commodore 64
Thrust game, which is similar to Atari's Gravitar and Asteriods (note:
this is not misspelled).  Unless you already have an xpilot server on
your network, you'll need to set up the server on one machine, and then
set up xpilot clients on all of the players' machines.

%prep
%setup -q
%patch -p1

%build
xmkmf
make Makefiles
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make DESTDIR=$RPM_BUILD_ROOT install install.man

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xpilot <<EOF
xpilot name "xpilot (requires server)"
xpilot description "Fly/Shoot Arcade Game"
xpilot group Games/Video
xpilot exec "xterm -e xpilot -join &"
EOF
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xpilots <<EOF
xpilots name "xpilots server"
xpilots description "Fly/Shoot Arcade Game"
xpilots group Games/Video
xpilots exec "xterm -e xpilots &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt LICENSE README.txt.msub 
%doc doc
/usr/X11R6/bin/xpilots
/usr/X11R6/bin/xpilot
/usr/X11R6/bin/xp-replay
/usr/X11R6/lib/X11/xpilot
/usr/X11R6/man/man1x/xpilot.1x
/usr/X11R6/man/man1x/xpilots.1x
/usr/X11R6/man/man1x/xp-replay.1x
%config /etc/X11/wmconfig/xpilot
%config /etc/X11/wmconfig/xpilots

%changelog
* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.1.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add sparc
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- made exlusivearch to i386

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
